<?php

namespace App\Http\Controllers;

use Pusher\Pusher;
use App\Models\Reel;
use App\Models\Reply;
use App\Models\Comment;
use App\Models\Notification;
use Illuminate\Http\Request;
use App\Events\CommentNotification;
use App\Notifications\PostCommentedNotification;

class CommentController extends Controller
{
    public function store(Request $request)
    {
        $request->validate([
            'comment' => 'required|string|max:500',
        ]);

        $comment = Comment::create([
            'user_id' => auth()->id(),
            'reel_id' => $request->reel_id,
            'comment' => $request->comment,
        ]);
    
        // Find the reel
        $reel = Reel::find($request->reel_id);
        $reel->user->notify(new PostCommentedNotification($reel, $comment));

        return redirect()->back()->with('success', 'Comment posted successfully!');
    }

    public function storeReply(Request $request)
    {
        $request->validate([
            'comment_id' => 'required|integer',
            'content' => 'required|string|max:500'
        ]);

        $reply = Reply::create([
            'user_id' => auth()->id(),
            'content' => $request->content,
            'comment_id' => $request->comment_id,
        ]);

        $comment = Comment::find($request->comment_id);
        event(new CommentNotification(auth()->user()->name . ' replied on your comment', $comment->user_id));


        // $comment->user->notifications()->create([
        //     'notifiable_id' => $comment->id,
        //     'notifiable_type' => Reply::class,
        //     'type' => 'reply',
        //     'data' => [
        //         'message' => auth()->user()->name . ' Replied on your comment.',
        //         'user_id' => auth()->user()->id,
        //         'user_img' => auth()->user()->profile_img,
        //         'reply' => $reply->content,
        //     ],
        // ]);

        return redirect()->back()->with('success', 'replied successfully!');
    }


}
