<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Follow;
use Illuminate\Support\Facades\Auth;

class FollowController extends Controller
{
    public function toggleFollow($userId)
    {
        $user = Auth::user();
        $follow = Follow::where('follower_id', $user->id)->where('following_id', $userId)->first();

        if ($follow) {
            $follow->delete();
        } else {
            Follow::create([
                'follower_id' => $user->id,
                'following_id' => $userId
            ]);
        }

        return back()->with('success', 'Follow status updated.');
    }
}
