<?php

namespace App\Http\Controllers;

use Pusher\Pusher;
use App\Models\Like;
use App\Models\Reel;
use App\Models\Notification;
use Illuminate\Http\Request;
use App\Events\LikeNotification;
use Illuminate\Support\Facades\Auth;
use App\Notifications\PostActionNotification;

class LikeController extends Controller
{
    public function like($id)
    {
        $reel = Reel::findOrFail($id);
        $like = Like::where('user_id', auth()->id())->where('reel_id', $id)->first();

        if ($like) {
            $like->delete(); // Unlike if already liked
        } else {
            Like::create(['user_id' => auth()->id(), 'reel_id' => $id]);
            $liked = 'liked';
            $notification = Notification::create([
                'notifiable_id' => $reel->id,
                'notifiable_type' => Reel::class,
                'user_id' => $reel->user_id,
                'type' => 'like',
                'data' => [
                    'message' => auth()->user()->name . ' liked Your post.',
                    'user_img' => auth()->user()->profile_img,
                ],
            ]);

            $pusher = new Pusher(
                env('PUSHER_APP_KEY'),
                env('PUSHER_APP_SECRET'),
                env('PUSHER_APP_ID'),
                [
                    'cluster' => env('PUSHER_APP_CLUSTER'),
                    'useTLS' => true,
                ]
            );
    
            $pusher->trigger('notifications.' . $reel->user_id, 'new-notification', [
                'notification' => $notification,
            ]);
        }

        return response()->json(['likes' => $reel->likes()->count()]);
    }

}
