<?php

namespace App\Http\Controllers;

use App\Models\Reel;
use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class UserController extends Controller
{
    public function viewUser($userId)
    {
        $currentUser = Auth::user();
        if ($currentUser->id == $userId) {
            return redirect()->route('profile');
        }
        $user = User::findOrFail($userId);
        $reels = Reel::where('user_id', $userId)->get();
        $isFollowing = Auth::check() && Auth::user()->following()->where('users.id', $userId)->exists();

        return view('front.viewUser', compact('user', 'reels', 'isFollowing'));
    }

    public function follow(Request $request, $userId)
    {
        $userToFollow = User::find($userId);
        $currentUser = Auth::user();

        if ($currentUser->id == $userId) {
            return response()->json(['error' => 'You cannot follow yourself.'], 400);
        }

        if (!$currentUser->following()->where('users.id', $userId)->exists()) {
            $currentUser->following()->attach($userId);
            $followers = $userToFollow->followers()->count();
            return response()->json(['message' => 'You are now following ' . $userToFollow->name,  'followers' => $followers]);
        }

        $followers = $userToFollow->followers()->count();

        return response()->json(['message' => 'Already following']);
    }

    public function unfollow(Request $request, $userId)
    {
        $userToUnfollow = User::findOrFail($userId);
        $currentUser = Auth::user();

        if ($currentUser->following()->where('users.id', $userId)->exists()) {
            $currentUser->following()->detach($userId);
            $followers = $userToUnfollow->followers()->count();
            return response()->json(['message' => 'You Have Unfollowed ' . $userToUnfollow->name, 'followers' => $followers]);
        }

        $followers = $userToUnfollow->followers()->count();

        return response()->json(['message' => 'Not following']);
    }
}
