<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\MorphMany;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Reel extends Model
{
    use HasFactory;
    protected $fillable = [
        'user_id',
        'video_path',
        'thumbnail_path',
        'caption',
        'hashtags',
        'privacy',
        'status',
        'created_at',
        'updated_at',
    ];

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function reports(): MorphMany
    {
        return $this->morphMany(Report::class, 'reportable');
    }

    public function likes()
    {
        return $this->hasMany(Like::class);    
    }

    public function comments()
    {
        return $this->hasMany(Comment::class);    
    }

    public function shares()
    {
        return $this->hasMany(Share::class);    
    }
}
