<?php

namespace App\Notifications;

use Illuminate\Bus\Queueable;
use Illuminate\Notifications\Notification;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;
use Illuminate\Contracts\Broadcasting\ShouldBroadcast;
use Illuminate\Notifications\Messages\BroadcastMessage;

class PostActionNotification extends Notification implements ShouldBroadcast
{
    use Queueable;

    public $message;
    public $actionUrl;

    public function __construct($message, $actionUrl)
    {
        $this->message = $message;
        $this->actionUrl = $actionUrl;
    }

    public function via($notifiable)
    {
        return ['broadcast', 'database'];
    }

    public function toBroadcast($notifiable)
    {
        return new BroadcastMessage([
            'message' => $this->message,
            'actionUrl' => $this->actionUrl,
        ]);
    }

    public function toDatabase($notifiable)
    {
        return [
            'message' => $this->message,
            'actionUrl' => $this->actionUrl,
        ];
    }
}
