<?php

namespace App\Notifications;

use Illuminate\Bus\Queueable;
use Illuminate\Notifications\Notification;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;
use Illuminate\Contracts\Broadcasting\ShouldBroadcast;
use Illuminate\Notifications\Messages\BroadcastMessage;

class PostShareNotification extends Notification implements ShouldBroadcast
{
    use Queueable;

    public $post;

    public function __construct($post)
    {
        $this->post = $post;
    }

    public function via($notifiable)
    {
        return ['database', 'broadcast'];
    }

    public function toArray($notifiable)
    {
        return [
            'message' => auth()->user()->name . ' Shared Your Post',
            'user_img' => auth()->user()->profile_img,
            'post_id' => $this->post->id,
        ];
    }

    public function toBroadcast($notifiable)
    {
        return new BroadcastMessage([
            'message' =>  auth()->user()->name . ' Shared Your Post',
            'user_img' => auth()->user()->profile_img,
            'post_id' => $this->post->id,
        ]);
    }
}
