<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('users', function (Blueprint $table) {
            $table->string('username')->after('name');
            $table->string('bio')->nullable()->after('phone');
            $table->string('profile_img')->nullable()->after('bio');
            $table->enum('gender', ['male', 'female', 'other'])->nullable()->after('profile_img');
            $table->date('date_of_birth')->nullable()->after('gender');
            $table->enum('privacy', ['public', 'private'])->default('public')->after('date_of_birth');
            $table->enum('status', ['active', 'inactive', 'suspended'])->default('active')->after('privacy');
            $table->string('facebook_id')->nullable()->after('status');
            $table->string('google_id')->nullable()->after('facebook_id');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('users', function (Blueprint $table) {
            $table->string('username')->after('name');
            $table->string('bio')->nullable()->after('phone');
            $table->string('profile_img')->nullable()->after('bio');
            $table->enum('gender', ['male', 'female', 'other'])->nullable()->after('profile_img');
            $table->date('date_of_birth')->nullable()->after('gender');
            $table->enum('privacy', ['public', 'private'])->default('public')->after('date_of_birth');
            $table->enum('status', ['active', 'inactive', 'suspended'])->default('active')->after('privacy');
            $table->string('facebook_id')->nullable()->after('status');
            $table->string('google_id')->nullable()->after('facebook_id');
        });
    }
};
