import './bootstrap';
import Alpine from 'alpinejs';
import Echo from 'laravel-echo';
import Pusher from 'pusher-js';

window.Alpine = Alpine;
Alpine.start();

// Initialize Pusher
const pusher = new Pusher('e3173b7b2e88e18e244a', {
    cluster: 'ap2',
    encrypted: true,
});

// Subscribe to the user's notification channel
const userId = '{{ auth()->user()->id }}'; // Get the user ID from a meta tag
const channel = pusher.subscribe('notifications.' + userId);

// // Listen for new notifications
// channel.bind('new-notification', function (data) {
//     const notification = data.notification;

//     // Update the UI
//     const notificationList = document.getElementById('notification-list');
//     const notificationCount = document.getElementById('notification-count');
//     if (notificationCount) {
//         const currentCount = parseInt(notificationCount.textContent);
//         notificationCount.textContent = currentCount + 1;
//     }

//     // Add the new notification
//     const notificationItem = document.createElement('div');
//     notificationItem.textContent = notification.data.message;
//     notificationList.appendChild(notificationItem);

//     // Update the notification count
//     notificationCount.textContent = parseInt(notificationCount.textContent) + 1;
// });

window.Echo.private(`notifications.${userId}`)
    .notification((notification) => {
        let countEl = document.getElementById('notification-count');
        let current = parseInt(countEl.innerText);
        countEl.innerText = current + 1;

        // let list = document.getElementById('notification-list');
        // let li = document.createElement('li');
        // li.innerText = notification.message;
        // list.prepend(li);
    });

    window.Echo = new Echo({
        broadcaster: 'pusher',
        key: import.meta.env.VITE_PUSHER_APP_KEY,
        cluster: import.meta.env.VITE_PUSHER_APP_CLUSTER,
        forceTLS: true
    });