@extends('front.mainLayout.app')

@section('title', 'Faqs - Shortties')

@section('content')

    <style>
        .faq-section {
            background: #ffffff;
        }

        .faq-section h2{
            font-size: 40px
        }

        .accordion-button {
            background-color: #fff;
            font-size: 1.1rem;
            font-weight: 600;
            border-radius: 10px;
            padding: 15px;
        }

        .accordion-item {
            border-radius: 10px;
        }

        .accordion-body {
            font-size: 1rem;
            color: #555;
        }

        .faq-image-container {
            width: 400px;
            height: 400px;
            border-radius: 50%;
            overflow: hidden;
            display: flex;
            align-items: center;
            justify-content: center;
            box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
            margin: auto;
        }

        .faq-image {
            width: 100%;
            height: auto;
            object-fit: cover;
        }

        .accordion-button:focus {
            z-index: 3;
            box-shadow: none;
        }
        .accordion-button:not(.collapsed) {
            background-color:#fff;
            box-shadow: 0px 35px 58px 0px rgba(0, 0, 0, 0.1);
        }
    </style>

    <!-- Hero Section -->
    <section class="shortties-series">
        <div class="container">
            <div class="text-center text-light my-5 py-5">
                <h1>FAQs</h1>
            </div>
        </div>
    </section>
    
    <section class="faq-section py-5 ">
        <div class="container pt-3 pb-5">
            <div class="row">
                <h2 class="fw-bold text-dark text-center py-5">Frequently Ask Questions</h2>
                <!-- FAQ Section -->
                <div class="col-md-6">
                    
                    <div class="accordion mt-4" id="faqAccordion">
                        <!-- Question 1 -->
                        <div class="accordion-item border-0 mb-3">
                            <h2 class="accordion-header" id="headingOne">
                                <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne">
                                    What is Shortties?
                                </button>
                            </h2>
                            <div id="collapseOne" class="accordion-collapse collapse" data-bs-parent="#faqAccordion">
                                <div class="accordion-body">
                                    Shortties is a platform that enables users to create, share, and engage with ultra-short videos ranging from 1 to 13 seconds. 
                                    It offers a seamless experience for both budding creators and seasoned influencers.
                                </div>
                            </div>
                        </div>
    
                        <!-- Question 2 -->
                        <div class="accordion-item border-0 mb-3">
                            <h2 class="accordion-header" id="headingTwo">
                                <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapseTwo">
                                    How do I create a video on Shortties?
                                </button>
                            </h2>
                            <div id="collapseTwo" class="accordion-collapse collapse" data-bs-parent="#faqAccordion">
                                <div class="accordion-body">
                                    <p>
                                        To create a video:
                                    </p>
                                    <p>
                                        Sign Up: Create an account on our website or mobile app.
                                    </p>
                                    <p>
                                        Upload: Click on the "Create" button to upload your video.
                                    </p>
                                    <p>
                                        Publish: Once satisfied, click "Publish" to share your video with the community.
                                    </p>
                                </div>
                            </div>
                        </div>
    
                        <!-- Question 3 -->
                        <div class="accordion-item border-0 mb-3">
                            <h2 class="accordion-header" id="headingThree">
                                <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapseThree">
                                    What is the maximum length for videos?
                                </button>
                            </h2>
                            <div id="collapseThree" class="accordion-collapse collapse" data-bs-parent="#faqAccordion">
                                <div class="accordion-body">
                                    Videos can be up to 13 seconds long, allowing for concise and impactful content creation.
                                </div>
                            </div>
                        </div>
    
                        <!-- Question 4 -->
                        <div class="accordion-item border-0 mb-3">
                            <h2 class="accordion-header" id="headingFour">
                                <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapseFour">
                                    How can I organize my videos into series?
                                </button>
                            </h2>
                            <div id="collapseFour" class="accordion-collapse collapse" data-bs-parent="#faqAccordion">
                                <div class="accordion-body">
                                    <p>
                                        To create a video:
                                    </p>
                                    <p>
                                        Create Series: After uploading your first video, select the option to create a new series.
                                    </p>
                                    <p>
                                        Add Episodes: Upload subsequent videos and add them to your series.
                                    </p>
                                    <p>
                                        Customize: Provide a title, description, and storyline for your series.
                                    </p>
                                    <p>
                                        Publish: Release your series all at once or schedule episodes to be published over time.
                                    </p>
                                </div>
                            </div>
                        </div>
    
                        <!-- Question 5 -->
                        <div class="accordion-item border-0 mb-3">
                            <h2 class="accordion-header" id="headingFive">
                                <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapseFive">
                                    How do I engage with other users?
                                </button>
                            </h2>
                            <div id="collapseFive" class="accordion-collapse collapse" data-bs-parent="#faqAccordion">
                                <div class="accordion-body">
                                    <p>
                                        You can interact with other users by:
                                    </p>
                                    <p>
                                        Liking videos you enjoy.
                                    </p>
                                    <p>
                                        Commenting to share your thoughts.
                                    </p>
                                    <p>
                                        Sharing videos on other platforms.
                                    </p>
                                    <p>
                                        Following creators to stay updated on their latest content.
                                    </p>
                                </div>
                            </div>
                        </div>

                        <!-- Question 6 -->
                        <div class="accordion-item border-0 mb-3">
                            <h2 class="accordion-header" id="headingSix">
                                <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapseSix">
                                    What are the subscription Plans?
                                </button>
                            </h2>
                            <div id="collapseSix" class="accordion-collapse collapse" data-bs-parent="#faqAccordion">
                                <div class="accordion-body">
                                    <p>
                                        Free Subscription
                                    </p>
                                    <p>
                                        Minimum Premium Subscription: $5 per month.
                                    </p>
                                    <p>
                                        The first 50,000 users to sign up can enjoy a $5/month subscription for five years, with zero ads throughout the entire period. This offer is available with no commitments and can be canceled at any time.
                                    </p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
    
                <!-- Image Section -->
                <div class="col-md-6 text-center">
                    <div class="faq-image-container">
                        <img src="{{ asset('assets/front/faqs-img.jpg') }}" alt="FAQ Image" class="faq-image img-fluid">
                    </div>
                </div>
            </div>
        </div>
    </section>
    

    
@endsection