@extends('front.mainLayout.app')

@section('title', 'Home')

@section('content')
    <!-- Hero Section -->
    <section class="hero" style="background-image: url('{{ asset("assets/front/home-banner.PNG") }}');">
        <div class="container">
            <div class="col-md-8 m-auto">
                <h1>Create. Share. Inspire Ultra Short Videos In Seconds!</h1>
                <p>Uploading video functionality isn't available yet. Bear with us, it's Coming soon!</p>
                <a href="#" class="signUp-button">Sign Up For More Details</a>
            </div>
        </div>
    </section>

    <section class="members-bar">
        <div class="join-over">
            <div class="d-flex me-3">
                <img src="{{ asset('assets/front/members/1.jpg') }}" class="rounded-circle border border-white" alt="Member 1">
                <img src="{{ asset('assets/front/members/2.jpg') }}" class="rounded-circle border border-white" alt="Member 2">
                <img src="{{ asset('assets/front/members/3.jpg') }}" class="rounded-circle border border-white" alt="Member 3">
                <img src="{{ asset('assets/front/members/4.jpg') }}" class="rounded-circle border border-white" alt="Member 4">
            </div>

            <!-- Text -->
            <div class="text-white">Join Over 4000+ Members</div>
        </div>
    </section>

    <!-- Features Section -->
    <section class="features">
        <div class="container">
            <!-- <hr style="width: 10%;transform: rotate(90deg); color: black; border: 1px dashed #0000008f; opacity: 1;"> -->
            <div class="col-md-6 mx-auto">

                <h2>Why Choose Shortties?</h2>
                <span>Discover the thrill of talent in bite-sized videos. Shortties is where creativity meets simplicity, letting you share your world in seconds.</span>
                <p class="fw-bold mt-4">Whether you’re a budding creator or a seasoned influencer, Shortties helps you captivate, connect, and inspire like never before.</p>
            </div>
            <div class="row">
                <div class="col-md-4 my-3">
                    <div class="card">
                        <div class="card-body">
                            <img src="{{ asset('assets/front/svg.png') }}" alt="" style="width: 40px; margin-bottom: 10px;">
                            <h5 class="card-title fw-bold">Create Content In Seconds</h5>
                            <p class="card-text">Why wait to share your ideas? With Shortties, creating captivating videos is effortless. Upload clips up to 1-13 seconds long, edit with ease, and publish instantly.
                            Your creativity deserves a stage that’s quick and seamless.</p>
                        </div>
                    </div>
                </div>
                <div class="col-md-4 my-3">
                    <div class="card">
                        <div class="card-body">
                            <img src="{{ asset('assets/front/svg.png') }}" alt="" style="width: 40px; margin-bottom: 10px;">
                            <h5 class="card-title fw-bold">Engage With Your Audience</h5>
                            <p class="card-text">Start a conversation that matters. Shortties makes it easy to interact with your followers through comments, likes, and shares.
                            Grow your fan base, and keep your audience coming back for more.</p>
                        </div>
                    </div>
                </div>
                <div class="col-md-4 my-3">
                    <div class="card">
                        <div class="card-body">
                            <img src="{{ asset('assets/front/svg.png') }}" alt="" style="width: 40px; margin-bottom: 10px;">
                            <h5 class="card-title fw-bold">Tell Stories, One Chapter At A Time</h5>
                            <p class="card-text">Turn moments into unforgettable stories. Craft compelling 2-13 parts series with 1-13 seconds videos. Release them all at once or one episode at a time-your story, your way.
                            Every series is a story waiting to be told.</p>
                        </div>
                    </div>
                </div>
                <div class="col-md-4 my-3">
                    <div class="card">
                        <div class="card-body">
                            <img src="{{ asset('assets/front/svg.png') }}" alt="" style="width: 40px; margin-bottom: 10px;">
                            <h5 class="card-title fw-bold">Organize and Curate</h5>
                            <p class="card-text">Say goodbye to cluttered timelines. Shortties lets you organize your videos into captivating series, combining up to 2-13 episodes into a single narrative.
                            Showcase your content like never before, with clarity and style.</p>
                        </div>
                    </div>
                </div>
                <div class="col-md-4 my-3">
                    <div class="card">
                        <div class="card-body">
                            <img src="{{ asset('assets/front/svg.png') }}" alt="" style="width: 40px; margin-bottom: 10px;">
                            <h5 class="card-title fw-bold">Get Instant Feedback</h5>
                            <p class="card-text">Receive ratings from 1 to 5 on your videos and series, giving you real-time insights to refine and improve your content.
                            Stay in the loop, adjust your strategy, and keep the creativity flowing.</p>
                        </div>
                    </div>
                </div>
                <div class="col-md-4 my-3">
                    <div class="card">
                        <div class="card-body">
                            <img src="{{ asset('assets/front/svg.png') }}" alt="" style="width: 40px; margin-bottom: 10px;">
                            <h5 class="card-title fw-bold">Designed for On-the-Go</h5>
                            <p class="card-text">Enjoy flawless performance across all mobile devices, delivering a seamless experience wherever you are.</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <!-- Pricing Section -->
    <section class="power-section">
        <div class="container">
            <div class="row m-auto">
                <div class="col-lg-6 col-md-12">
                    <img src="{{ asset('assets/front/power-img.PNG') }}" alt="" class="w-100">
                </div>
                <div class="col-lg-6 col-md-12">
                    <div class="power-text">
                        <h2 style="font-weight: 800; font-size: 3em;">The Power of Shortties Series</h2>
                        <p>Turn your 1-13 second videos into a captivating ultra-short movie series.</p>
                        <div class="d-flex">
                            <i class="fa-solid fa-check me-2"></i>
                            <p>Each Shortties can be up to 13 seconds long. Create a series of up to 2-13 videos, crafting a total of 169 seconds of pure storytelling.</p>
                        </div>
                        <div class="d-flex">
                            <i class="fa-solid fa-check me-2"></i>
                            <p>Release your series your way: drop all parts at once or release them episodically.</p>
                        </div>
                        <div class="d-flex">
                            <i class="fa-solid fa-check me-2"></i>
                            <p>Add custom titles, descriptions, and storylines to make your series stand out.</p>
                        </div>
                    </div>
                    <hr>
                    <div class="downloads-users">
                        <div class="row m-auto">
                            <div class="col-md-4">
                                <h4 style="font-weight: 800; font-size: 2em;">0M+</h4>
                                <p>App Downloads</p>
                            </div>
                            <div class="col-md-4">
                                <h4 style="font-weight: 800; font-size: 2em;">0M+</h4>
                                <p>User Reviews</p>
                            </div>
                        </div>
                        <div class="row m-auto">
                            <div class="col-md-6">
                                <a class="signUp-button" href="#">App Coming Soon</a>
                            </div>
                            <div class="col-md-6">
                                <a class="learn-more-btn" href="#">Learn More</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <!-- Coming Soon Section -->
    <section class="coming-soon">
        <div class="container">
            <div class="row">
                <div class="col-lg-6 col-md-12 mt-3">
                    <h2>App Coming Soon You Can Download Latest Version Of The App From</h2>
                    <p>Get ready to experience something revolutionary! Pre-register now to be notified of the official <strong>Shortties app launch date</strong>. On launch day, download the app and claim our exclusive</p>
                    <div class="mt-5">
                        <a href="#" class="me-2"><img src="{{ asset('assets/front/apple-store-btn.png') }}" alt=""></a>
                        <a href="#" class=""><img src="{{ asset('assets/front/google-play-btn.png') }}" alt=""></a>
                    </div>
                </div>
                <div class="col-lg-6 col-md-12">
                    <img src="{{ asset('assets/front/comming-soon-img.png') }}" alt="">
                </div>
            </div>
        </div>
    </section>

    <section class="download-app-sec">
        <div class="container">

            <div class="row mx-auto">
                <div class="col-lg-6 col-md-12 mt-5">
                    <h2>Download the App</h2>
                    <div class="card">
                        <div class="icon">
                            <i class="fa-solid fa-hand-fist"></i>
                        </div>
                        <div class="down-cards">
                            <div class="card-title">
                                <h3>Be The First To Join Shortties!</h3>
                            </div>
                            <div class="card-body">
                                <p>Get Ready To Experience Something Revolutionary! Pre-register Now to be Notified of the Official <strong>Shortties App Launch Date</strong>. On Launch Day, download the app and claim our exclusive</p>
                            </div>
                        </div>
                    </div>
                    <div class="card">
                        <div class="icon">
                            <i class="fa-solid fa-sack-dollar"></i>
                        </div>
                        <div class="down-cards">
                            <div class="card-title">
                                <h3>The Deal:</h3>
                            </div>
                            <div class="card-body">
                                <p>The First <strong>50000 Users</strong> To Sign Up Will Enjoy a <strong>$5/Month Subscription</strong> for an Incredible <strong>5 Years</strong> - With <strong>Zero Ads</strong> through out the Entire Period!</p>
                            </div>
                        </div>
                    </div>
                    <div class="card">
                        <div class="icon">
                            <i class="fa-solid fa-circle-user"></i>
                        </div>
                        <div class="down-cards">
                            <div class="card-title">
                                <h3>No Commitments:</h3>
                            </div>
                            <div class="card-body">
                                <p>You Can Cancel At Any Time, So There's Absolutely No Risk In Securing This Offer. This Is Your Chance To Lock In A Permium, Ad-Free Experience At An Unbeatable Rate. Spots Are Limited, So Secure Yours Today!</p>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-6 col-md-12">
                    <img src="{{ asset('assets/front/download-the-app.PNG') }}" alt="">
                </div>
            </div>
        </div>
    </section>

    
@endsection