<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>Shortties Shorts</title>
     
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.7.2/css/all.min.css" integrity="sha512-Evv84Mr4kqVGRNSgIGL/F/aIDqQb7xQ2vcrdIwxfjThSH8CSR7PBEakCr51Ck+w+/U6swU2Im1vVX0SVk9ABhg==" crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">

    <link rel="shortties icon" href="{{ asset('assets/front/favicon.png') }}" />



    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.1/jquery.min.js" integrity="sha512-v2CJ7UaYy4JwqLDIrZUI/4hqeoQieOmAZNXBeQyjo21dadnwR+8ZaIJVT8EE2iyI61OV8e6M8PP2/4hpQINQ/g==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <style>
        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }

        body {
            font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, sans-serif;
        }

        .main-content{
            background: linear-gradient(136deg, #4373c5, #a8538c);
        }

        /* Sidebar */
        .sidebar {
            width: 240px;
            height: 100vh;
            position: fixed;
            left: 0;
            padding: 20px;
            background-color: #fff;
            border-right: 1px solid #dbdbdb;
        }

        .sidebar-logo {
            font-size: 24px;
            margin-bottom: 40px;
            padding-left: 10px;
            text-align: center;
        }
        
        .sidebar-logo img {
            width: 100%;
        }
        
        
        .sidebar-logo .mobile-logo{
            display: none;
        }

        .sidebar-menu {
            list-style: none;
        }

        .sidebar-menu li {
            margin: 12px 0;
        }

        .sidebar-menu a {
            text-decoration: none;
            color: #262626;
            display: flex;
            align-items: center;
            gap: 14px;
            padding: 8px 12px;
            border-radius: 8px;
        }

        .sidebar-menu a:hover {
            background-color: #f2f2f2;
        }

        .sidebar-menu i {
            width: 24px;
            text-align: center;
        }

        /* Main Content */
        .main-content {
            /*margin-left: 240px;*/
            flex: 1;
            min-height: 100vh;
        }

        /* Reels Section */
        .reels-container {
            max-width: 600px;
            margin: 0 auto;
            padding: 20px;
        }

        .reel-player {
            position: relative;
            background-color: #000;
            border-radius: 10px;
            overflow: hidden;
        }

        .reel-video {
            width: 100%;
            height: 90vh;
            object-fit: cover;
        }

        .reel-controls {
            position: absolute;
            right: 20px;
            bottom: 40px;
            display: flex;
            flex-direction: column;
            gap: 20px;
            color: #fff;
        }

        .reel-controls i {
            cursor: pointer;
            filter: drop-shadow(0 0 2px rgba(0,0,0,0.5));
        }

        .reel-profile {
            position: absolute;
            left: 20px;
            bottom: 40px;
            color: #fff;
            display: flex;
            align-items: center;
            gap: 10px;
        }

        .reel-profile img {
            width: 50px;
            height: 50px;
            border-radius: 50%;
        }

        /* Profile Page (from previous example with adjustments) */
        .profile-container {
            max-width: 935px;
            margin: 0 auto;
            padding: 30px 20px;
            background-color: #fafafa;
        }

        #notification-count{
            background: red;
            color: white;
            border-radius: 50px;
            padding: 0px 6px;
            font-size: 12px;
        }
        

        /* Responsive Design */
        @media (max-width: 992px) {
            .sidebar {
                width: 200px;
                padding: 10px;
            }
            
            .sidebar-menu{
                padding-left: 5px;
            }
            
        }
        
        @media (max-width: 768px) {
            .sidebar {
                width: 85px;
                padding: 10px;
            }

            .sidebar span {
                display: none;
            }

            .main-content {
                margin-left: 80px;
            }

            .reels-container {
                padding: 10px;
            }
            
            .sidebar-logo img {
                width: 100%;
            }
            
            .sidebar-logo .web-logo{
                display: none;
            }
            
            .sidebar-logo .mobile-logo{
                display: block;
            }
            
            
            
        }
    </style>
</head>
<body>
    

    <!-- Main Content -->
    <main class="main-content">
        @yield('content')

        <!-- Profile Page (from previous example) -->
        <!-- <div class="profile-container">
            ... (previous profile content) ...
        </div> -->
    </main>

    @yield('script')
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.1/jquery.min.js" integrity="sha512-v2CJ7UaYy4JwqLDIrZUI/4hqeoQieOmAZNXBeQyjo21dadnwR+8ZaIJVT8EE2iyI61OV8e6M8PP2/4hpQINQ/g==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>

    <!-- Toastr JS -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js"></script>
    
    <script>
        @if (session('error'))
            toastr.error("{{ session('error') }}");
        @endif
    
        @if (session('success'))
            toastr.success("{{ session('success') }}");
        @endif
    
        @if (session('info'))
            toastr.info("{{ session('info') }}");
        @endif
    
        @if (session('warning'))
            toastr.warning("{{ session('warning') }}");
        @endif

    </script>
</body>
</html>