@extends('front.mainLayout.app')

@section('title', 'Home')

@section('content')
<style>
    .signup-form {
            background-color: #fff;
            padding: 30px;
            border-radius: 10px;
            box-shadow: 0 5px 25px rgba(0, 0, 0, 0.2);
        }

        .signup-form h2 {
            text-align: center;
            margin-bottom: 20px;
            color: #333;
        }

        .form-group {
            margin-bottom: 15px;
        }

        .form-group label {
            display: block;
            margin-bottom: 5px;
            font-weight: bold;
            color: #555;
        }

        .form-group input,
        .form-group select,
        .form-group textarea {
            width: 100%;
            padding: 10px;
            border: 1px solid #ccc;
            border-radius: 5px;
            font-size: 1em;
        }

        .form-group input[type="file"] {
            padding: 5px;
        }

        .form-group textarea {
            resize: vertical;
            height: 100px;
        }

        .form-group input[type="submit"] {
            background-color: #ff4757;
            color: #fff;
            border: none;
            cursor: pointer;
            transition: background-color 0.3s ease;
        }

        .form-group input[type="submit"]:hover {
            background-color: #ff6b81;
        }

        .privacy-group {
            display: flex;
            align-items: center;
            gap: 10px;
        }

        .privacy-group input {
            width: auto;
        }
        .signup-img img {
            position: absolute;
            width: 27%;
            z-index: 2;
            top: 16%;
        }
</style>
<section class="sign-up-section">
    <div class="container">
        <div class="row m-auto">
            <!-- <div class="col-lg-6 col-md-12 col-sm-12">
                <div class="signup-img">
                    <div class="gradient-circle"></div>
                    <img src="{{ asset('assets/front/comming-soon-img.png') }}" alt="Mobile 1">
                </div>
            </div> -->
            @if ($errors->any())
    <div class="alert alert-danger">
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif
            <div class="signup-form col-lg-6 col-md-12 col-sm-12 m-auto my-5">
                <!-- <img src="{{ asset('assets/front/logo.png') }}" alt="Modal Image" style="width: 50%;">   -->
                <h2>Login</h2>
                <form action="{{ route('login') }}" method="POST">
                    @csrf
            <!-- email -->
            <div class="form-group">
                <label for="email">Email</label>
                <input type="text" id="email" placeholder="email" name="email" required>
            </div>
            
                <div class="form-group">
                    <label for="password">Password</label>
                    <div class="password-input">
                        <input type="password" name="password" id="password" placeholder="Password" required>
                        <span class="eye-button" id="password-toggle">
                            <i class="fas fa-eye"></i>
                        </span>
                    </div>
                </div>
            <!-- Submit Button -->
            <div class="form-group mt-3">
                <input type="submit" value="Login">
            </div>
            <div class="mt-3">
                <p>Don't have an account? <a class="text-decoration-none" href="{{ route('signup') }}">Sign Up</a> </p>
            </div>

        </form>
            </div>
        </div>
    </div>
</section>
<script>
    // Function to toggle password visibility
            function togglePasswordVisibility(inputId, toggleId) {
                const passwordInput = document.getElementById(inputId);
                const toggleButton = document.getElementById(toggleId);
                const eyeIcon = toggleButton.querySelector("i");
    
                toggleButton.addEventListener("click", function() {
                    if (passwordInput.type === "password") {
                        passwordInput.type = "text";
                        eyeIcon.classList.remove("fa-eye");
                        eyeIcon.classList.add("fa-eye-slash"); // Use a crossed-out eye for hidden
                    } else {
                        passwordInput.type = "password";
                        eyeIcon.classList.remove("fa-eye-slash");
                        eyeIcon.classList.add("fa-eye");
                    }
                });
            }
    
            // Initialize toggle for each password input
            togglePasswordVisibility("password", "password-toggle");
            togglePasswordVisibility("password_confirmation", "confirm-password-toggle");
</script>
@endsection