<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@yield('title')</title>
    <!-- Bootstrap CSS -->
    <link rel="shortties icon" href="{{ asset('assets/front/favicon.png') }}" />
    <link rel="stylesheet" href="{{ asset('assets/front/css/style.css') }}">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.7.2/css/all.min.css" integrity="sha512-Evv84Mr4kqVGRNSgIGL/F/aIDqQb7xQ2vcrdIwxfjThSH8CSR7PBEakCr51Ck+w+/U6swU2Im1vVX0SVk9ABhg==" crossorigin="anonymous" referrerpolicy="no-referrer" />
    <!-- Toastr CSS -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.1/jquery.min.js" integrity="sha512-v2CJ7UaYy4JwqLDIrZUI/4hqeoQieOmAZNXBeQyjo21dadnwR+8ZaIJVT8EE2iyI61OV8e6M8PP2/4hpQINQ/g==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <style>
        /* style.css */
        .modal {
            display: none; /* Hidden by default */
            position: fixed; /* Stay in place */
            z-index: 3; /* Sit on top */
            left: 0;
            top: 0;
            width: 100%; /* Full width */
            height: 100%; /* Full height */
            overflow: auto; /* Enable scroll if needed */
            background-color: rgba(0, 0, 0, 0.4); /* Black with opacity */
        }

        .modal-content {
            background-color: #fff;
            margin: 15% auto;
            padding: 10px;
            border: 1px solid #888;
            width: 100%;
            max-width: 50%;
            position: relative;
            display: flex;
            flex-direction: column;
            align-items: center;
            border-radius: 55px;
        }

        .close-button {
            position: absolute;
            top: 15px;
            right: 25px;
            font-size: 20px;
            font-weight: bold;
            color: #000;
            cursor: pointer;
            background: #80808087;
            border-radius: 55%;
            padding: 7px 14px;
        }

        .modal-content img {
            max-width: 100%;
            height: auto;
        }

        .modal-form {
            text-align: center; /* Center form content */
        }

        .modal-form h2 {
            font-size: 30px;
            font-weight: 700;
        }

        .modal-form p {
            font-size: 14px;
            font-weight: 600;
        }

        .modal-form input{
            width: calc(50% - 10px); /* Two columns with spacing */
            padding: 10px;
            margin: 5px;
            border: 1px solid #000000;
            border-radius: 30px;
        }

        .modal-form input[type="checkbox"] {
            margin-right: 5px;
            width: calc(5% - 10px);
        }

        .modal-form button {
            background-color: #000;
            color: #fff;
            padding: 10px 20px;
            border: none;
            border-radius: 30px;
            cursor: pointer;
            margin: 10px 0;
            width: calc(100% - 10px);
        }

        #loginModal .modal-content { /* Style the login modal differently if you want */
            width: 50%; /* Adjust width as needed */
            max-width: 400px;
        }
        .password-container {
            position: relative; /* Needed for absolute positioning of eye buttons */
        }

        .password-input {
            position: relative;
            margin-bottom: 10px;
            padding-left: 0;
        }

        .password-input input {
            padding-right: 30px; /* Make space for the eye button */
            width: 100%; /* Ensure full width */
        }

        .eye-button {
            position: absolute;
            top: 50%;
            right: 20px;
            transform: translateY(-50%);
            cursor: pointer;
            color: #888; /* Gray color for the eye */
        }

        /* Responsive adjustments (example) */
        @media (max-width: 768px) {
            .modal-form input{
                width: 100%; /* Stack inputs on smaller screens */
            }
        }
    </style>
</head>
<body>
    <!-- Navbar -->
    <nav class="navbar navbar-expand-lg navbar-white bg-white">
        <div class="container">
            <a class="navbar-brand" href="{{ route('/') }}"><img src="{{ asset('assets/front/logo.png') }}" alt="Shortties logo" style="width:45%"></a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav ms-auto">
                    <li class="nav-item">
                        <a class="nav-link active" aria-current="page" href="{{ route('/') }}">Home</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{{ route('featuresPage') }}">Features</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{{ route('howItWorks') }}">How It Works</a>
                    </li>
                    @auth
                    <li class="nav-item">
                        <a class="nav-link" href="{{ route('shorts') }}">Shorts</a>
                    </li>
                    @endauth
                    <li class="nav-item">
                        <a class="nav-link" href="{{ route('shortties-series') }}">Shortties Series</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{{ route('faqs') }}">FAQs</a>
                    </li>
                </ul>
                @if(auth()->check())  
                    <!-- User Dropdown -->
                    <div class="dropdown" style="background-image: linear-gradient(180deg, #eb567b 0%, #3fbcf8 100%); border-radius: 25px;">
                        <button class="btn dropdown-toggle" type="button" id="userDropdown" data-bs-toggle="dropdown" aria-expanded="false" style="border:none;">
                            {{ auth()->user()->name }}
                        </button>
                        <ul class="dropdown-menu" aria-labelledby="userDropdown">
                            <li><a class="dropdown-item" href="{{ route('profile.edit') }}">Profile</a></li>
                            <li>
                                <form action="{{ route('logout') }}" method="POST">
                                    @csrf
                                    <button type="submit" class="dropdown-item">Log Out</button>
                                </form>
                            </li>
                        </ul>
                    </div>
                @else
                    <!-- Show Sign Up & Login Buttons if Not Logged In -->
                    <!-- <button class="signUp-button ms-5" id="signupButton">Sign Up</button>
                    <button class="signUp-button ms-2" id="loginButton">Login</button> -->

                    <a class="signUp-button ms-5" href="{{ route('signup') }}">Sign Up</a>
                    <a class="signUp-button ms-2" href="{{ route('login') }}">Login</a>
                @endif
            </div>
        </div>
    </nav>

    @yield('content')

    <section class="ready-to-share">
        <!-- Section Start -->
        <div class="container d-flex align-items-center justify-content-center p-3" 
                style="background-color: #00AEEF; border-radius: 50px; margin-bottom: -8%; position: relative;">
            <div class="row align-items-center w-100">
                <!-- Mobile Screens with Circular Gradient -->
                <div class="col-md-5 d-flex justify-content-center position-relative">
                    <div class="gradient-circle"></div> <!-- Gradient Background -->
                    <img src="{{ asset('assets/front/comming-soon-img.png') }}" class="img-fluid phone-img" alt="Mobile 1">
                </div>

                <!-- Text & Email Subscription -->
                <div class="col-md-7 text-white text-center text-md-start">
                    <h2>Ready To Share Your Stories?</h2>
                    <p class="mb-3">Join our community to know the launch date.</p>
                    
                    <form class="d-flex align-items-center">
                        <input type="email" class="form-control rounded-pill me-2 px-3 py-2" placeholder="Email" style="max-width: 400px;">
                        <button type="submit" class="btn btn-dark rounded-pill px-5 py-2">Submit</button>
                    </form>
                </div>
            </div>
        </div>

        <!-- Add Custom CSS -->

    </section>

    <!-- <div id="signupModal" class="modal">
        <div class="modal-content">
            <span class="close-button">&times;</span> 
            <div class="modal-form">
                <div class="row">
                    <div class="col-lg-5 col-md-12 pe-0 ps-4">
                        <img src="{{ asset('assets/front/comming-soon-img.png') }}" alt="Modal Image">  
                    </div>
                    <div class="col-lg-7 col-md-12 pe-3 ps-3 pt-5">
                        <img src="{{ asset('assets/front/logo.png') }}" alt="Modal Image" style="width: 50%;">  
                        <h2>SIGN UP NOW!</h2>
                        <p>The first 50,000 users to sign up will enjoy a $5/month subscription for an incredible 5 years – with zero ads throughout the entire period!</p> 
                        <form action="{{ route('register') }}" method="POST">
                            @csrf
                            <div class="row m-auto">
                                <input type="text" name="f_name" placeholder="First Name" required>
                                <input type="text" name="l_name" placeholder="Last Name" required>
                            </div>
                            <div class="row m-auto">
                                <input type="email" name="email" placeholder="Email" required>
                                <input type="text" name="phone" placeholder="Phone" required>
                            </div>
                            <div class="row m-auto password-container">
                                <div class="password-input">
                                    <input type="password" name="password" id="password" placeholder="Password" required>
                                    <span class="eye-button" id="password-toggle">
                                        <i class="fas fa-eye"></i>
                                    </span>
                                </div>
                                <div class="password-input">
                                    <input type="password" name="password_confirmation" id="password_confirmation" placeholder="Confirm Password" required>
                                    <span class="eye-button" id="confirm-password-toggle">
                                        <i class="fas fa-eye"></i>
                                    </span>
                                </div>
                            </div>
                            <label>
                                <input type="checkbox" id="ageCheck" required> You must be at least 14 years old to sign up for the website.
                            </label>
                            <br>
                            <button type="submit" id="signupSubmit">Sign Up</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="loginModal" class="modal">
        <div class="modal-content">
            <span class="close-button">&times;</span>
            <div class="modal-form p-5">
                <img src="{{ asset('assets/front/logo.png') }}" alt="Modal Image" style="width: 70%; margin-bottom: 10px;">
                <h2>LOGIN</h2>
                <form action="{{ route('login') }}" method="POST">
                    @csrf
                    <input type="email" name="email" placeholder="Email" required style="width: calc(100% - 10px);"><br>
                    <input type="password" name="password" placeholder="Password" required style="width: calc(100% - 10px);"><br>
                    <button type="submit">Login</button>
                </form>
            </div>
        </div>
    </div> -->

    <!-- Footer -->
    <div class="footer text-white text-center p-4" style="background-color: #1E1E1E;">
        <img src="{{ asset('assets/front/footer-logo.png') }}" alt="Shortties Logo" class="footer-logo mb-3">
        <div class="d-flex justify-content-center footer-links">
            <a href="{{ route('/') }}" class="text-white text-decoration-none">Home</a>
            <a href="#" class="text-white text-decoration-none">Features</a>
            <a href="#" class="text-white text-decoration-none">How It Works</a>
            <a href="{{ route('shorts') }}" class="text-white text-decoration-none">Short Series</a>
            <a href="#" class="text-white text-decoration-none">FAQ's</a>
        </div>
        <p class="mt-3 small">
            Copyright © 2025. Reserved by SHORTTIES LLC, USA and all other SHORTTIES marks are trademarks of SHORTTIES LLC, USA.
            <br>
            All other marks are the property of their respective owners.
        </p>
    </div>

    <!-- Bootstrap JS -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>

    <!-- Toastr JS -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js"></script>

    
    <script>
        @if (session('error'))
            toastr.error("{{ session('error') }}");
        @endif
    
        @if (session('success'))
            toastr.success("{{ session('success') }}");
        @endif
    
        @if (session('info'))
            toastr.info("{{ session('info') }}");
        @endif
    
        @if (session('warning'))
            toastr.warning("{{ session('warning') }}");
        @endif
    </script>
    

    <script>
        // script.js
        const modal = document.getElementById("signupModal");
        const button = document.getElementById("signupButton");
        const closeButton = document.querySelector(".close-button");

        button.addEventListener("click", () => {
            modal.style.display = "block";
        });

        closeButton.addEventListener("click", () => {
            modal.style.display = "none";
        });

        // Close modal if user clicks outside the content area
        window.addEventListener("click", (event) => {
            if (event.target == modal) {
                modal.style.display = "none";
            }
        });

        const loginButton = document.getElementById("loginButton");
        const loginModal = document.getElementById("loginModal");

        loginButton.addEventListener("click", () => {
            signupModal.style.display = "none"; // Close signup modal if open
            loginModal.style.display = "block";
        });

        // Close login modal
        loginModal.querySelector(".close-button").addEventListener("click", () => {
            loginModal.style.display = "none";
        });

        window.addEventListener("click", (event) => {
            if (event.target == loginModal) {
                loginModal.style.display = "none";
            }
        });

        const ageCheck = document.getElementById("ageCheck");
        const signupSubmit = document.getElementById("signupSubmit");

        // Initially disable the button
        signupSubmit.disabled = true;

        // Add event listener to the checkbox
        ageCheck.addEventListener("change", function() {
            // Enable if checked, disable if unchecked
            signupSubmit.disabled = !ageCheck.checked;
        });

        // // Function to toggle password visibility
        // function togglePasswordVisibility(inputId, toggleId) {
        //     const passwordInput = document.getElementById(inputId);
        //     const toggleButton = document.getElementById(toggleId);
        //     const eyeIcon = toggleButton.querySelector("i");

        //     toggleButton.addEventListener("click", function() {
        //         if (passwordInput.type === "password") {
        //             passwordInput.type = "text";
        //             eyeIcon.classList.remove("fa-eye");
        //             eyeIcon.classList.add("fa-eye-slash"); // Use a crossed-out eye for hidden
        //         } else {
        //             passwordInput.type = "password";
        //             eyeIcon.classList.remove("fa-eye-slash");
        //             eyeIcon.classList.add("fa-eye");
        //         }
        //     });
        // }

        // // Initialize toggle for each password input
        // togglePasswordVisibility("password", "password-toggle");
        // togglePasswordVisibility("password_confirmation", "confirm-password-toggle");

    </script>
</body>
</html>