@extends('front.layouts.app')

@section('content')

<div class="container-fluid detail-page">
    <div class="row">
        <div class="col-md-2">
            @include('front.partials.sidebar')
        </div>

        <div class="col-md-10">
            <div class="container mt-5">
                <div class="col-md-10 mx-auto bg-white rounded shadow-3">
                    <h1 class="font-bold p-4 ps-5" style="font-size: 30px;">Notifications</h1>
                    <div class="col-md-10 mx-auto">
                        <ul class="list-group pb-3">
                            @foreach ($notifications as $notification)
                            <a class="text-decoration-none" href="{{ route('showReel', $notification->notifiable_id) }}">
                                <li class="list-group-item {{ $notification->read_at ? '' : 'list-group-item-primary' }}">
                                    <div class="d-flex justify-content-between align-items-center">
                                        <div class="d-flex align-items-center">
                                            <img src="{{ asset('assets/'.$notification->data['user_img']) }}" class="" alt="" style="width:50px; border-radius:50%;">
                                            <p class="ms-2 mb-0">{{ $notification->data['message'] }}</p>
                                        </div>
                                        <small>{{ $notification->created_at->diffForHumans() }}</small>
                                    </div>
                                    @if ($notification->type === 'comment' || $notification->type === 'message')
                                    <div class="mt-2">
                                        <p>{{ $notification->data['comment'] ?? $notification->data['content'] }}</p>
                                    </div>
                                    @endif
                                </li>
                            </a>
                            @endforeach
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('script')
<script>
    document.addEventListener('DOMContentLoaded', function () {
        fetch('{{ url("notifications/mark-as-read") }}', {
            method: 'POST',
            headers: {
                'X-CSRF-TOKEN': document.querySelector('meta[name="csrf-token"]').getAttribute('content'),
                'Content-Type': 'application/json'
            }
        }).then(() => {
            document.getElementById('notification-count').innerText = 0;
        });
    });
// document.querySelectorAll('.list-group-item').forEach(item => {
//     item.addEventListener('click', function() {
//         const notificationId = this.dataset.notificationId;
//         const notifyUrl = '{{ url("/notifications", ["notificationId" => "__REEL_ID__"], "mark-as-read") }}'.replace('__REEL_ID__', notificationId);

//         fetch(notifyUrl, {
//             method: 'POST',
//             headers: {
//                 'X-CSRF-TOKEN': '{{ csrf_token() }}',
//             },
//         })
//         .then(response => response.json())
//         .then(data => {
//             if (data.success) {
//                 this.classList.remove('list-group-item-primary');
//             }
//         })
//         .catch(error => console.error('Error:', error));
//     });
// });
</script>
@endsection