@extends('front.layouts.app')

@section('content')
<style>
    .reel-player {
        width: 45%;
    }

    .control-btn {
        background: #ffffff7d;
        border: none;
        color: white;
        cursor: pointer;
        font-size: 18px;
        padding: 5px 10px;
        border-radius: 25px;
    }

    .video-controls {
        position: absolute;
        bottom: 20px;
        left: 20px;
        right: 20px;
        display: flex;
        align-items: center;
        gap: 15px;
        color: white;
    }

    .progress-bar {
        flex-grow: 1;
        height: 3px;
        background: rgba(255, 255, 255, 0.3);
        cursor: pointer;
    }

    .progress-bar::-webkit-slider-thumb {
        appearance: none;
        width: 12px;
        height: 12px;
        background: white;
        border-radius: 50%;
    }

    .detail-container {
        /* display: flex;
        gap: 20px; */
        background-color: #fff;
        border-radius: 8px;
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
        padding: 20px;
        background: linear-gradient(160deg, #0a58ca99, #ff3371b5);
    }

    .reel-section {
        display: flex;
        gap: 20px;
        justify-content: center;
    }

    .video-section {
        flex: 1;
    }

    .detail-video {
        width: 100%;
        border-radius: 8px;
    }

    .content-section {
        flex: 1;
        border-top: 1px solid #eee;
    }

    .user-info {
        display: flex;
        /* align-items: center; */
        margin-bottom: 15px;
    }

    .reel-controls {
        position: unset;
        display: flex;
        flex-direction: column;
        gap: 20px;
        color: #fff;
    }

    .user-avatar {
        width: 50px;
        height: 50px;
        border-radius: 50%;
        object-fit: cover;
        margin-right: 10px;
    }

    .user-details .username {
        font-weight: 600;
        text-decoration: none;
        color: white;
    }

    .user-details .post-date {
        color: white;
        font-size: 0.9em;
    }

    .video-stats {
        display: flex;
        gap: 20px;
        margin-bottom: 15px;
    }

    .stat-item {
        display: flex;
        align-items: center;
        color: #555;
    }

    .stat-item i {
        margin-right: 5px;
    }

    .video-description {
        margin-bottom: 20px;
        color:#fff;
    }

    .comments-section {
        max-width: 500px;
        padding-top: 20px;
    }

    /* Each comment bubble */
    .comment-bubble {
        display: flex;
        align-items: flex-start;
        background: rgb(49 48 48 / 32%);
        margin-bottom: 10px;
        border-radius: 20px;
        padding: 5px 5px;
        position: relative;
    }

    /* Avatar styling */
    .avatar {
        margin-right: 10px;
    }

    .avatar img {
        width: 40px;
        height: 40px;
        border-radius: 50%;
        object-fit: cover;
        display: block;
    }

    /* The main text area */
    .comment-content {
        display: flex;
        flex-direction: column;
    }

    /* Author name */
    .comment-author {
        font-weight: bold;
        margin-bottom: 0px;
        color: #e9e9e9ad;
    }

    /* Comment text */
    .comment-text {
        color: #fff;
        font-size: 0.95rem;
    }

    /* Heart icon styling */
    .heart {
        color: #ff5252;
        margin-left: 5px;
        font-weight: bold;
    }

    /* Replies are indented */
    .reply {
        margin-left: 40px;
        /* shift to the right */
        background: rgb(49 48 48 / 32%);
        /* slightly different shade */
    }

    /*
    .comment-user {
        display: flex;
        align-items: flex-start; 
        margin-bottom: 5px;
    }

    .comment-avatar {
        width: 40px;
        height: 40px;
        border-radius: 50%;
        object-fit: cover;
        margin-right: 10px;
    } */

    .name-cont {
        flex-grow: 1;
        /* Allow name-cont to expand */
    }

    .comment-username {
        font-weight: 600;
        text-decoration: none;
        color: #333;
        display: block;
        /* Make username a block element */
    }

    .comment-text {
        /* color: #555; */
        margin-top: 2px;
        /* Add some space between username and comment */
        word-wrap: break-word;
        /* Allow long words to wrap */
    }

    .comment {
        margin-bottom: 15px;
        color: white;
        background-color: #0000006e;
        padding: 25px;
        border-radius: 50px;
    }

    /* .comment-user {
        display: flex;
        align-items: center;
        margin-bottom: 5px;
    }

    .comment-avatar {
        width: 40px;
        height: 40px;
        border-radius: 50%;
        object-fit: cover;
        margin-right: 8px;
    } */
    /* p.comment-text {
        margin-bottom: 0;
    } */

    /* .comment-username {
        font-weight: 600;
        text-decoration: none;
        color: white;
    } */

    .comment-date {
        color: white;
        font-size: 0.8em;
        margin-bottom: 0px;
    }

    .comment-input {
        display: flex;
    }

    .comment-input textarea {
        width: 85%;
        padding: 10px 10px;
        height: 50px;
        border: 1px solid #ccc;
        border-radius: 50px;
        resize: vertical;
    }

    .comment-input button {
        background-color: #fff;
        color: #e81874;
        border: none;
        padding: 0px 15px;
        border-radius: 50px;
        cursor: pointer;
        margin-left: 10px;
    }

    .icon-button {
        background: #ffffff7d;
        border: none;
        color: #fff;
        border-radius: 25px;
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 5px;
        padding: 15px;
        font-size: 18px;
        cursor: pointer;
    }

    /* Responsive Design */
    @media (max-width: 768px) {
        .detail-container {
            flex-direction: column;
        }

        .reel-section {
            flex-direction: column;
        }

        .reel-controls {
            position: absolute;
            display: flex;
            flex-direction: column;
            gap: 20px;
            right: 55px;
            bottom: 15px;
            color: #fff;
        }

        .reel-player {
            width: 100%;
        }

        .user-info {
            display: flex;
            /* align-items: center; */
            margin-bottom: 0px;
        }
    }
</style>
<div class="container-fluid detail-page">
    <div class="row">
        <div class="col-md-2">
            @include('front.partials.sidebar')
        </div>

        <div class="col-md-10">
            <div class="detail-container">
                <div class="reel-section">
                    <div class="user-info">
                        <img src="{{ $reel->user->profile_img ? asset('assets/' . $reel->user->profile_img) : asset('assets/front/dummy.jpg') }}" alt="User Profile" class="user-avatar">
                        <div class="user-details">
                            <a href="{{ route('viewUser', $reel->user->id) }}" class="username">{{ $reel->user->username }}</a>
                            <p class="post-date">{{ $reel->created_at->diffForHumans() }}</p>
                        </div>
                    </div>
                    <div class="reel-player">
                        <video class="reel-video" muted loop autoplay>
                            <source src="{{ asset('assets/'.$reel->video_path) }}" type="video/mp4">
                        </video>

                        <!-- Video Controls -->
                        <div class="video-controls">

                            <button class="control-btn toggle-play">
                                <i class="fas fa-pause"></i>
                            </button>
                            <input type="range" class="progress-bar" value="0" min="0" max="100">
                            <button class="control-btn toggle-sound">
                                <i class="fas fa-volume-mute"></i>
                            </button>
                        </div>


                        <!-- <div class="reel-profile">
                                <img src="{{ $reel->user->profile_img ? asset('assets/'. $reel->user->profile_img) : asset('assets/front/dummy.jpg') }}" alt="Profile">
                                <a class="text-decoration-none text-white" href="{{ route('viewUser', $reel->user->id) }}">{{ $reel->user->username }}</a>
                            </div> -->
                    </div>
                    <!-- Like, Comment, Share Buttons -->
                    <div class="reel-controls">
                        <button class="icon-button like-btn" data-reel-id="{{ $reel->id }}">
                            <i class="fas fa-heart"></i> <span>{{ $reel->likes()->count() }}</span>
                        </button>
                        <a class="icon-button comment-btn text-decoration-none" href="{{ route('showReel', $reel->id) }}">
                            <i class="fas fa-comment"></i> <span>{{ $reel->comments()->count() }}</span>
                        </a>
                        <button class="icon-button share-btn" data-reel-id="{{ $reel->id }}">
                            <i class="fa-solid fa-share-nodes"></i> <span>{{ $reel->shares()->count() }}</span>
                        </button>
                    </div>
                </div>

                <div class="video-description">
                    <p>{{ $reel->caption }}</p>
                </div>

                <div class="content-section">

                    <div class="comments-section">
                        <h3>Comments</h3>
                        @foreach ($reel->comments as $comment)
                        <!-- Parent Comment #1 -->
                        <div class="comment-bubble" data-comment-id="{{ $comment->id }}">
                            <div class="avatar">
                                <img src="{{ $comment->user->profile_img ? asset('assets/' . $comment->user->profile_img) : asset('assets/front/dummy.jpg') }}" alt="Commenter Profile" class="comment-avatar">
                            </div>
                            <div class="comment-content">
                                <div class="comment-author">{{ $comment->user->username }}</div>
                                <p class="comment-date">{{ $comment->created_at->diffForHumans() }}</p>
                                <div class="comment-text">
                                    {{ $comment->comment }}
                                </div>
                            </div>
                            <a class="btn reply-btn text-dark" style="text-decoration:none; margin: auto 0 0 auto;">Reply</a>
                            <div class="reply-input" style="display: none;">
                                <textarea class="form-control" placeholder="Write a reply..."></textarea>
                                <button class="submit-reply" data-parent-id="{{ $comment->id }}"><i class="fa-solid fa-paper-plane"></i>
                                </button>
                            </div>
                        </div>
                        <!-- <div class="comment" data-comment-id="{{ $comment->id }}"> -->
                        <!-- <div class="comment-user">
                                <img src="{{ $comment->user->profile_img ? asset('assets/' . $comment->user->profile_img) : asset('assets/front/dummy.jpg') }}" alt="Commenter Profile" class="comment-avatar">
                                <div class="name-cont">
                                    <a href="{{ route('viewUser', $comment->user->id) }}" class="comment-username">{{ $comment->user->username }}</a>
                                    <p class="comment-text">{{ $comment->comment }}</p>
                                </div>
                            </div>
                            <p class="comment-date">{{ $comment->created_at->diffForHumans() }}</p>
                            <button class="reply-btn">Reply</button>

                            <div class="reply-input" style="display: none;">
                                <textarea placeholder="Write a reply..."></textarea>
                                <button class="submit-reply" data-parent-id="{{ $comment->id }}">Post Reply</button>
                            </div> -->

                        <div class="replies">
                            @foreach ($comment->replies as $reply)
                            <div class="comment-bubble reply">
                                <div class="avatar">
                                    <img src="{{ $reply->user->profile_img ? asset('assets/' . $reply->user->profile_img) : asset('assets/front/dummy.jpg') }}" alt="Reply User Profile" class="comment-avatar">
                                </div>
                                <div class="comment-content">
                                    <div class="comment-author">{{ $reply->user->username }}</div>
                                    <p class="comment-date">{{ $reply->created_at->diffForHumans() }}</p>
                                    <div class="comment-text">
                                        {{ $reply->content }}
                                    </div>
                                </div>
                            </div>
                            <!-- <div class="comment-bubble reply">
                                    <div class="avatar comment-user">
                                        <img src="{{ $reply->user->profile_img ? asset('assets/' . $reply->user->profile_img) : asset('assets/front/dummy.jpg') }}" alt="Reply User Profile" class="comment-avatar">
                                        <a href="{{ route('viewUser', $reply->user->id) }}" class="comment-username">{{ $reply->user->username }}</a>
                                    </div>
                                    <p class="comment-text">{{ $reply->content }}</p>
                                    <p class="comment-date">{{ $reply->created_at->diffForHumans() }}</p>
                                </div> -->
                            @endforeach
                        </div>
                        @endforeach
                    </div>
                    <div class="comment-input">
                        <textarea id="commentText" placeholder="Write a comment..."></textarea>
                        <button id="submitComment" data-reel-id="{{ $reel->id }}"><i class="fa-solid fa-paper-plane"></i></button>
                    </div>
                </div>
            </div>

        </div>
    </div>
</div>
</div>
@endsection

@section('script')
<script>
    $(document).ready(function() {
        $('#submitComment').click(function() {
            const reelId = $(this).data('reel-id');
            const commentText = $('#commentText').val();

            $.ajax({
                url: '{{ route("comment.store") }}',
                type: 'POST',
                data: {
                    reel_id: reelId,
                    comment: commentText,
                    _token: '{{ csrf_token() }}'
                },
                success: function(response) {
                    $('#commentText').val('');
                    $('.comments-section').load(location.href + ' .comments-section');
                },
                error: function(error) {
                    console.error('Error:', error);
                }
            });
        });

        $(document).on('click', '.reply-btn', function() {
            $(this).siblings('.reply-input').toggle();
        });

        $(document).on('click', '.submit-reply', function() {
            const parentId = $(this).data('parent-id');
            const replyText = $(this).siblings('textarea').val();
            const reelId = $('#submitComment').data('reel-id');

            $.ajax({
                url: '{{ route("reply.store") }}',
                type: 'POST',
                data: {
                    content: replyText,
                    comment_id: parentId,
                    _token: '{{ csrf_token() }}'
                },
                success: function(response) {
                    $(this).siblings('textarea').val('');
                    $('.comments-section').load(location.href + ' .comments-section');
                },
                error: function(error) {
                    console.error('Error:', error);
                }
            });
        });
    });

    document.addEventListener('DOMContentLoaded', function() {
        const videos = document.querySelectorAll('.reel-video');
        const progressBars = document.querySelectorAll('.progress-bar');
        const playButtons = document.querySelectorAll('.toggle-play');
        const soundButtons = document.querySelectorAll('.toggle-sound');
        const reelContainer = document.querySelector('.reels-container');
        const arrowUp = document.getElementById('arrow-up');
        const arrowDown = document.getElementById('arrow-down');

        let currentVideoIndex = 0;
        let isPlayingAll = false; // Flag to track if playing all videos

        // Initialize first video
        if (videos.length > 0) {
            videos[0].play();
            updatePlayButton(0, false);
        }

        videos.forEach((video, index) => {
            video.addEventListener('timeupdate', () => {
                const progress = (video.currentTime / video.duration) * 100;
                progressBars[index].value = progress;
            });

            progressBars[index].addEventListener('input', (e) => {
                const seekTime = (e.target.value / 100) * video.duration;
                video.currentTime = seekTime;
            });

            // Synchronize mute/unmute across all videos
            soundButtons[index].addEventListener('click', () => {
                const isMuted = !videos[index].muted; // Get the new muted state
                videos.forEach(video => {
                    video.muted = isMuted; // Apply the same muted state to all videos
                });
                soundButtons.forEach(button => {
                    button.innerHTML = isMuted ?
                        '<i class="fas fa-volume-mute"></i>' :
                        '<i class="fas fa-volume-up"></i>';
                });
            });

            // Play/pause on video click
            video.addEventListener('click', () => {
                if (video.paused) {
                    video.play();
                    updatePlayButton(index, false);
                } else {
                    video.pause();
                    updatePlayButton(index, true);
                }
            });
        });

        // Toggle play/pause and play all logic
        playButtons.forEach((playBtn, index) => {
            playBtn.addEventListener('click', () => {
                const video = videos[index];
                if (video.paused) {
                    video.play();
                    updatePlayButton(index, false);
                } else {
                    video.pause();
                    updatePlayButton(index, true);
                }
            });
        });

        // Update play button icon
        function updatePlayButton(index, isPaused) {
            const playBtn = playButtons[index];
            playBtn.innerHTML = isPaused ? '<i class="fas fa-play"></i>' : '<i class="fas fa-pause"></i>';
        }
    });

    document.addEventListener('DOMContentLoaded', function() {
        const likeButtons = document.querySelectorAll('.like-btn');

        likeButtons.forEach(button => {
            button.addEventListener('click', function() {
                const reelId = this.getAttribute('data-reel-id');
                const likeCountSpan = this.querySelector('span');
                const likeIcon = this.querySelector('i');

                // Toggle like state
                // const isLiked = likeIcon.classList.contains('liked');
                const likeUrl = '{{ url("/like", ["reelId" => "__REEL_ID__"]) }}'.replace('__REEL_ID__', reelId);
                // Send AJAX request to the server
                fetch(likeUrl, {
                        method: 'POST',
                        headers: {
                            'Content-Type': 'application/json',
                            'X-CSRF-TOKEN': '{{ csrf_token() }}',
                        },
                    })
                    .then(response => response.json())
                    .then(data => {
                        if (data.success) {
                            // Update UI

                            // likeIcon.classList.toggle('liked');
                            likeCountSpan.textContent = data.likes;
                        }
                    })
                    .catch(error => console.error('Error:', error));
            });
        });
    });
</script>
@endsection