@extends('front.layouts.app')

@section('content')
<style>
        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }

        body {
            font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, sans-serif;
            background-color: #fafafa;
        }

        .container {
            /* max-width: 935px; */
            margin: 0 auto;
            padding: 30px 20px;
        }

        /* Profile Header */
        .profile-header {
            display: flex;
            margin-bottom: 44px;
            gap: 30px;
        }

        .profile-avatar {
            width: 150px;
            height: 150px;
            border-radius: 50%;
            object-fit: cover;
        }

        .profile-info {
            flex: 1;
        }

        .profile-stats {
            display: flex;
            gap: 10%;
            margin: 15px 0px;
        }

        .profile-stat {
            text-align: center;
        }

        .profile-stat span:first-child {
            font-weight: 600;
        }

        .profile-bio h1 {
            font-size: 28px;
            margin-bottom: 8px;
        }

        .profile-bio p {
            margin-bottom: 8px;
        }

        /* Profile Navigation */
        .profile-nav {
            border-top: 1px solid #dbdbdb;
            display: flex;
            justify-content: center;
            gap: 60px;
            margin-bottom: 44px;
        }

        .profile-nav a {
            text-decoration: none;
            color: #8e8e8e;
            padding: 16px 0;
            font-weight: 600;
            text-transform: uppercase;
            font-size: 12px;
        }

        .profile-nav a.active {
            color: #262626;
            border-top: 1px solid #262626;
        }

        /* Post Grid */
        .post-grid {
            display: grid;
            grid-template-columns: repeat(3, 1fr);
            gap: 28px;
        }

        .post-item {
            position: relative;
            aspect-ratio: 1/1;
            background-color: #eee;
            cursor: pointer;
        }

        .post-item img {
            width: 100%;
            height: 100%;
            object-fit: cover;
        }

        .post-item:hover::after {
            content: "";
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(0, 0, 0, 0.3);
        }

        .upload-short{
            background: #ff1860;
            padding: 15px;
            border-radius: 25px;
            color: white;
            border: none;
            cursor: pointer;
        }

        /* .modal {
            display: none;
            position: fixed;
            z-index: 1;
            left: 0;
            top: 0;
            width: 100%;
            height: 100%;
            overflow: auto;
            background-color: rgba(0, 0, 0, 0.4);
        }*/

        .modal-content {
            background-color: #fefefe;
            margin: 15% auto;
            padding: 20px;
            border: 1px solid #888;
            width: 80%;
            max-width: 600px;
            position: relative;
        } 

        .close-button {
            position: absolute;
            top: 10px;
            right: 20px;
            font-size: 20px;
            font-weight: bold;
            color: #000;
            cursor: pointer;
        }

        #uploadForm input[type="file"] {
            margin-bottom: 10px;
        }

        #uploadForm textarea {
            width: 100%;
            padding: 10px;
            border: 1px solid #ccc;
            border-radius: 5px;
            resize: vertical;
        }

        .vid-con{
            text-align: center;
            background: #e7e7e7;
            border-radius: 15px;
            padding: 10px;
        }

        #modalVideo{
            width: 50%;
        }

        #editVideoPreview{
            width: 50%;
        }

        .video-controls {
        position: absolute;
        bottom: 20px;
        left: 20px;
        right: 20px;
        display: flex;
        align-items: center;
        gap: 15px;
        color: white;
    }

    .control-btn {
        background: none;
        border: none;
        color: white;
        cursor: pointer;
        font-size: 18px;
    }

    .progress-bar-video {
        flex-grow: 1;
        height: 3px;
        background: rgba(255, 255, 255, 0.3);
        cursor: pointer;
    }

    .progress-bar-video::-webkit-slider-thumb {
        appearance: none;
        width: 12px;
        height: 12px;
        background: white;
        border-radius: 50%;
    }

        /* Responsive Design */
        @media (max-width: 768px) {
            .container {
                padding: 20px 10px;
            }

            .profile-header {
                flex-direction: column;
                align-items: center;
                text-align: center;
                margin-left: 40px;
            }

            .profile-stats {
                justify-content: center;
            }

            .post-grid {
                gap: 3px;
            }
        }

        
    </style>

    <div class="container-fluid">
        <div class="row">
            <div class="col-md-3">
                @include('front.partials.sidebar')
            </div>

            <div class="col-md-9">
                <div class="container">
                    <div class="profile-header">
                        <img src="{{ $user->profile_img ? asset('assets/'. $user->profile_img) : asset('assets/front/dummy.jpg') }}" alt="Profile" class="profile-avatar">

                        <div class="profile-info">
                            <div class="profile-bio">
                                <h1>{{ $user->name }}</h1>
                                <p>{{ $user->bio }}</p>
                            </div>

                            <div class="profile-stats">
                                <div class="profile-stat">
                                    <span>{{ $reels->count() }}</span><br>
                                    <span>posts</span>
                                </div>
                                <div class="profile-stat">
                                    <span>{{ $user->followers()->count() }}</span><br>
                                    <span>followers</span>
                                </div>
                                <div class="profile-stat">
                                    <span>{{ $user->following()->count() }}</span><br>
                                    <span>following</span>
                                </div>
                            </div>

                            <div class="d-flex mt-2">
                                @if (Auth::check() && Auth::user()->id != $user->id)
                                    @if ($isFollowing)
                                        <button class="btn btn-primary me-2" id="unfollowButton" data-user-id="{{ $user->id }}">Following</button>
                                    @else
                                        <button class="btn btn-primary me-2" id="followButton" data-user-id="{{ $user->id }}">Follow</button>
                                    @endif
                                    <button class="btn btn-outline-primary">Message</button>
                                @endif
                            </div>
                        </div>
                    </div>

                    <nav class="profile-nav">
                        <a href="#" class="profile-tab active" data-target="posts">Posts</a>
                        <a href="#" class="profile-tab" data-target="saved">Saved</a>
                        <a href="#" class="profile-tab" data-target="tagged">Tagged</a>
                    </nav>

                    <div class="posts tab-content" id="posts">
                        <div class="row">
                            @foreach ($reels as $reel)
                                <div class="col-lg-3 col-md-4 mb-4">
                                    <div class="vid-con position-relative">
                                        <video class="video-thumbnail"
                                               style="width: 55%; cursor: pointer;"
                                               data-bs-toggle="modal"
                                               data-bs-target="#videoModal"
                                               data-video-url="{{ asset('assets/' . $reel->video_path) }}"
                                               muted
                                               playsinline
                                               preload="metadata"
                                               oncontextmenu="return false;"
                                               controlsList="nodownload">
                                            <source src="{{ asset('assets/' . $reel->video_path) }}" type="video/mp4">
                                            Your browser does not support HTML5 video.
                                        </video>
                                    </div>
                                </div>
                            @endforeach
                        </div>
                    </div>

                    <div class="modal fade" id="videoModal" tabindex="-1" aria-hidden="true" aria-labelledby="videoModalLabel">
                        <div class="modal-dialog modal-lg">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="videoModalLabel">Play ReeL</h5>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                </div>

                                <div class="modal-body text-center">
                                    <div class="reel-player">

                                        <!-- Large video player in modal -->
                                        <video class="reel-video" id="modalVideo" muted loop data-index="">
                                            <source src="" type="video/mp4">
                                            Your browser does not support the video tag.
                                        </video>
                                        <!-- Video Controls -->
                                        <div class="video-controls">
                                
                                            <button class="control-btn toggle-play">
                                                <i class="fas fa-pause"></i>
                                            </button>
                                            <input type="range" class="progress-bar-video" value="0" min="0" max="100">
                                            <button class="control-btn toggle-sound">
                                                <i class="fas fa-volume-mute"></i>
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="tab-content d-none" id="saved">
                        <h3>No Saved Items Yet.</h3>
                    </div>

                    <div class="tab-content d-none" id="tagged">
                        <h3>No Tagged Posts Yet.</h3>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script>
        $(document).ready(function() {
            $('#followButton').click(function() {
                let userId = $(this).data('user-id');
                const followUrl = '{{ url("/follow", ["userId" => "__USER_ID__"]) }}'.replace('__USER_ID__', userId);
                $.ajax({
                    url: followUrl,
                    type: 'POST',
                    data: {
                        _token: '{{ csrf_token() }}'
                    },
                    success: function(response) {
                        $('#followButton').replaceWith('<button class="btn btn-primary me-2" id="unfollowButton" data-user-id="' + userId + '">Following</button>');
                    },
                    error: function(error) {
                        console.error('Error:', error);
                    }
                });
            });

            $(document).on('click', '#unfollowButton', function() {
                let userId = $(this).data('user-id');
                const unfollowUrl = '{{ url("/unfollow", ["userId" => "__USER_ID__"]) }}'.replace('__USER_ID__', userId);
                $.ajax({
                    url: unfollowUrl,
                    type: 'POST',
                    data: {
                        _token: '{{ csrf_token() }}'
                    },
                    success: function(response) {
                        $('#unfollowButton').replaceWith('<button class="btn btn-outline-secondary me-2" id="followButton" data-user-id="' + userId + '">Follow</button>');
                    },
                    error: function(error) {
                        console.error('Error:', error);
                    }
                });
            });
        });
    // play video
    document.addEventListener('DOMContentLoaded', function() {
        const videoModal   = document.getElementById('videoModal');
        const modalVideo   = document.getElementById('modalVideo');
        const modalSource  = modalVideo.querySelector('source');
        
        // Grab all the preview <video> elements with class="video-thumbnail"
        const thumbnails = document.querySelectorAll('.video-thumbnail');

        // When user clicks a thumbnail, open modal and set the large video URL
        thumbnails.forEach((thumb) => {
            thumb.addEventListener('click', () => {
                // Get the video URL from data attribute
                const videoUrl = thumb.getAttribute('data-video-url');
                const vidIndex = thumb.getAttribute('data-index');
                // Set the <source src="...">

                modalSource.src = videoUrl;
                modalVideo.dataset.index = vidIndex;

                // Reload the video in the modal
                modalVideo.load();
                modalVideo.play();
            });
        });

        // When modal is closed, pause/reset the video so it doesn't keep playing
        videoModal.addEventListener('hidden.bs.modal', () => {
            modalVideo.pause();
            // If you want to completely reset the source:
            // modalSource.src = "";
            // modalVideo.load();
        });
    });

    document.addEventListener('DOMContentLoaded', function() {
        const videos = document.querySelectorAll('.reel-video');
        const progressBars = document.querySelectorAll('.progress-bar-video');
        const playButtons = document.querySelectorAll('.toggle-play');
        const soundButtons = document.querySelectorAll('.toggle-sound');

        let currentVideoIndex = 0;

        // Auto-play first video on load
        if (videos.length > 0) {
            videos[0].play();
        }

        // // Configure Intersection Observer for auto-play
        // const observer = new IntersectionObserver((entries) => {
        //     entries.forEach(entry => {
        //         const video = entry.target;
        //         if (entry.isIntersecting) {
        //             video.play();
        //             updateViewCount(video);
        //             currentVideoIndex = parseInt(video.dataset.index);
        //         } else {
        //             video.pause();
        //         }
        //     });
        // }, {
        //     threshold: 0.8
        // });

        // // Observe all videos
        // videos.forEach(video => observer.observe(video));

        // Toggle play/pause on click
        videos.forEach((video, index) => {
            const playBtn = playButtons[index];

            video.addEventListener('click', () => {
                if (video.paused) {
                    video.play();
                    playBtn.innerHTML = '<i class="fas fa-pause"></i>';
                } else {
                    video.pause();
                    playBtn.innerHTML = '<i class="fas fa-play"></i>';
                }
            });

            playBtn.addEventListener('click', () => {
                if (video.paused) {
                    video.play();
                    playBtn.innerHTML = '<i class="fas fa-pause"></i>';
                } else {
                    video.pause();
                    playBtn.innerHTML = '<i class="fas fa-play"></i>';
                }
            });

            // Update progress bar
            video.addEventListener('timeupdate', () => {
                const progress = (video.currentTime / video.duration) * 100;
                progressBars[index].value = progress;
            });

            // Seek functionality
            progressBars[index].addEventListener('input', (e) => {
                const seekTime = (e.target.value / 100) * video.duration;
                video.currentTime = seekTime;
            });

            // Mute/unmute functionality
            soundButtons[index].addEventListener('click', () => {
                video.muted = !video.muted;
                soundButtons[index].innerHTML = video.muted ?
                    '<i class="fas fa-volume-mute"></i>' :
                    '<i class="fas fa-volume-up"></i>';
            });
        });

        // function updateViewCount(video) {
        //     const index = video.dataset.index;
        //     const viewCount = document.querySelectorAll('.view-count')[index];

        //     if (!video.dataset.viewed) {
        //         video.dataset.viewed = true;
        //         const currentViews = parseInt(viewCount.textContent.match(/\d+/)[0]);
        //         viewCount.textContent = `👁️ ${currentViews + 1} views`;
        //     }
        // }
    });
    </script>
@endsection