<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\ReelController;
use App\Http\Controllers\UserController;
use Illuminate\Support\Facades\Redirect;
use App\Http\Controllers\FollowController;
use App\Http\Controllers\CommentController;
use App\Http\Controllers\NotificationController;
use App\Http\Controllers\ProfileController;

Route::get('/', [HomeController::class, 'index'])->name('/');
Route::get('/home', [HomeController::class, 'index'])->name('home');

Route::get('/shortties-series', [HomeController::class, 'shorttiesSeries'])->name('shortties-series');
Route::get('/features', [HomeController::class, 'featuresPage'])->name('featuresPage');
Route::get('/how-it-works', [HomeController::class, 'howItWorks'])->name('howItWorks');
Route::get('/faqs', [HomeController::class, 'faqs'])->name('faqs');

Route::get('/signup', [HomeController::class, 'signup'])->name('signup');
// Route::get('/register', function () {
//     return Redirect::route('signup'); // Permanent redirect (HTTP 301)
// });

Route::middleware('auth')->group(function () {
    Route::get('/logout', [ProfileController::class, 'logout'])->name('logout');

    Route::get('/profile', [ProfileController::class, 'profile'])->name('profile');
    Route::get('/dashboard', function () {
        return redirect()->route('profile');
    });

    Route::get('/profile-edit', [ProfileController::class, 'edit'])->name('profile.edit');
    Route::patch('/profile', [ProfileController::class, 'update'])->name('profile.update');
    Route::delete('/profile', [ProfileController::class, 'destroy'])->name('profile.destroy');

    Route::get('/shorts', [ReelController::class, 'index'])->name('shorts');

    Route::post('/short/store', [ReelController::class, 'store'])->name('upload-short');
    Route::put('/edit-short/{reel}', [ReelController::class, 'editReel'])->name('editReel');
    Route::delete('/delete-short/{reel}', [ReelController::class, 'deleteReel'])->name('deleteReel');

    Route::post('report-reel/{reelId}', [ReelController::class, 'reportReel'])->name('reportReel');

    Route::post('/like/{reelId}', [ReelController::class, 'like'])->name('reels.like');

    Route::get('/short/{reel}/detail', [ReelController::class, 'showReel'])->name('showReel');
    Route::post('/short/comment', [CommentController::class, 'store'])->name('comment.store');
    Route::post('/short/reply', [CommentController::class, 'storeReply'])->name('reply.store');

    Route::get('/notifications', [NotificationController::class, 'notifications'])->name('user.notifications');
    Route::post('/notifications/mark-as-read', [NotificationController::class, 'markAsRead'])->name('notifications.markAsRead');
    // Route::post('/notifications/{notification}/mark-as-read', [NotificationController::class, 'markAsRead'])->name('notifications.markAsRead');

    Route::get('user/{username}', [UserController::class, 'viewUser'])->name('viewUser');

    Route::post('/follow/{userId}', [UserController::class, 'follow'])->name('followUser');

    Route::post('/unfollow/{userId}', [UserController::class, 'unfollow'])->name('unfollowUser');

    // Route::post('/follow/{reel}', [FollowController::class, 'toggleFollow'])->name('follow.toggle');

    Route::get('/settings', function () {
        return view('settings');
    })->name('settings');

    Route::get('/messages', function () {
        return view('messages');
    })->name('messages');
    
    // Route::get('/notifications', function () {
    //     return view('notifications');
    // })->name('notifications');
});

require __DIR__.'/auth.php';
